Subject: Re: [PATCH] net: lantiq: Wait for the GPHY firmware to be ready

From: Andrew Lunn <[email-masked]>
Date: Sun, 15 Nov 2020 16:57:53 +0100

> Add a 300ms delay after initializing all GPHYs to ensure that the GPHY
> firmware had enough time to initialize and to appear on the MDIO bus.
> Unfortunately there is no (known) documentation on what the minimum time
> to wait after releasing the reset on an internal PHY so play safe and
> take the one for the external variant. Only wait after the last GPHY
> firmware is loaded to not slow down the initialization too much (
> xRX200 has two GPHYs but newer SoCs have at least three GPHYs).

Hi Martin

Could this be moved into gswip_gphy_fw_list() where the actual
firmware download happens?

To me that seems like the more logical place.

Otherwise

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew